The NetBSD Project

CVS log for pkgsrc/databases/postgresql95-client/PLIST

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / databases / postgresql95-client

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.6 / (download) - annotate - [select for diffs], Fri Aug 10 11:56:09 2018 UTC (9 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, HEAD
Changes since 1.5: +4 -1 lines
Diff to previous 1.5 (colored)

postgresql: updated to 10.5, 9.6.10, 9.5.14, 9.4.19, 9.3.24

The PostgreSQL Global Development Group has released an update to all supported versions of our database system, including 10.5, 9.6.10, 9.5.14, 9.4.19, 9.3.24. This release fixes two security issues as well as bugs reported over the last three months.

SECURITY ISSUES:
CVE-2018-10915: CERTAIN HOST CONNECTION PARAMETERS DEFEAT CLIENT-SIDE SECURITY DEFENSES
CVE-2018-10925: MEMORY DISCLOSURE AND MISSING AUTHORIZATION IN INSERT ... ON CONFLICT DO UPDATE

BUG FIXES AND IMPROVEMENTS
Several fixes related to VACUUM, including an issue that could lead to data corruption in certain system catalog tables
Several fixes for replaying write-ahead logs, including a case where a just-promoted standby server would not restart if it crashed before its first post-recovery checkpoint
Several performance improvements for replaying write-ahead logs
Several fixes for logical replication and logical decoding, including ensuring logical WAL senders are reporting the streaming state correctly
Allow replication slots to be dropped in single-user mode
Fix to have variance and similar aggregate functions return accurate results when executed using parallel query
Fix SQL-standard FETCH FIRST syntax to allow parameters ($n), as the standard expects
Fix to ensure that a process doing a parallel index scan will respond to signals, such as one to abort a query
Fix EXPLAIN's accounting for resource usage, particularly buffer accesses, in parallel workers
Several fixes for the query planner including improving the cost estimates for hash-joins and choosing to use indexes for mergejoins on composite type columns
Fix performance regression related to POSIX semaphores for multi-CPU systems running Linux or FreeBSD
Fix for GIN indexes that could lead to an assertion failure after a pg_upgrade from a version before PostgreSQL 9.4
Fix for SHOW ALL to display superuser configuration settings to roles that are allowed to read all settings
Fix issue where COPY FROM .. WITH HEADER would drop a line after every 4,294,967,296 lines processed
Several fixes for XML support, including using the document node as the context for XPath queries as defined in the SQL standard, which affects the xpath and xpath_exists functions, as well as XMLTABLE
Fix libpq for certain cases where hostaddr is used
Several ecpg fixes for Windows
Fix password prompting in Windows client programs so that echo is properly disabled
Several pg_dump fixes, including correctly outputting REPLICA IDENTITY properties for constraint indexes
Make pg_upgrade check that the old server was shut down cleanly

Revision 1.5 / (download) - annotate - [select for diffs], Fri Mar 2 17:11:11 2018 UTC (14 months, 2 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.4: +2 -1 lines
Diff to previous 1.4 (colored)

postgresqlNN: updated to 10.3, 9.6.8, 9.5.12, 9.4.17, 9.3.22

PostgreSQL 10.3, 9.6.8, 9.5.12, 9.4.17, and 9.3.22:
The purpose of this release is to address CVE-2018-1058, which describes how a user can create like-named objects in different schemas that can change the behavior of other users' queries and cause unexpected or malicious behavior, also known as a "trojan-horse" attack. Most of this release centers around added documentation that describes the issue and how to take steps to mitigate the impact on PostgreSQL databases.

Revision 1.3.8.1 / (download) - annotate - [select for diffs], Mon May 29 19:24:33 2017 UTC (23 months, 2 weeks ago) by bsiegert
Branch: pkgsrc-2017Q1
Changes since 1.3: +2 -1 lines
Diff to previous 1.3 (colored) next main 1.4 (colored)

Pullup ticket #5434 - requested by sevan
databases/postgresql92: security fix
databases/postgresql93: security fix
databases/postgresql94: security fix
databases/postgresql95: security fix
databases/postgresql96: security fix

Revisions pulled up:
- databases/postgresql92-docs/PLIST                             1.21
- databases/postgresql92-server/PLIST                           1.13
- databases/postgresql92/Makefile.common                        1.28
- databases/postgresql92/distinfo                               1.23
- databases/postgresql93-docs/PLIST                             1.18
- databases/postgresql93-server/PLIST                           1.11
- databases/postgresql93/Makefile.common                        1.24
- databases/postgresql93/distinfo                               1.23
- databases/postgresql94-client/PLIST                           1.3
- databases/postgresql94-docs/PLIST                             1.13
- databases/postgresql94-server/PLIST                           1.8
- databases/postgresql94/Makefile.common                        1.16
- databases/postgresql94/distinfo                               1.15
- databases/postgresql95-client/PLIST                           1.4
- databases/postgresql95-docs/PLIST                             1.7
- databases/postgresql95-server/PLIST                           1.6
- databases/postgresql95/Makefile.common                        1.9
- databases/postgresql95/distinfo                               1.8
- databases/postgresql96-client/PLIST                           1.2
- databases/postgresql96-docs/PLIST                             1.3
- databases/postgresql96-server/PLIST                           1.3
- databases/postgresql96/Makefile.common                        1.3
- databases/postgresql96/distinfo                               1.4

---
   Module Name:    pkgsrc
   Committed By:   adam
   Date:           Fri May 12 19:37:55 UTC 2017

   Modified Files:
           pkgsrc/databases/postgresql92: Makefile.common distinfo
           pkgsrc/databases/postgresql92-docs: PLIST
           pkgsrc/databases/postgresql92-server: PLIST
           pkgsrc/databases/postgresql93: Makefile.common distinfo
           pkgsrc/databases/postgresql93-docs: PLIST
           pkgsrc/databases/postgresql93-server: PLIST
           pkgsrc/databases/postgresql94: Makefile.common distinfo
           pkgsrc/databases/postgresql94-client: PLIST
           pkgsrc/databases/postgresql94-docs: PLIST
           pkgsrc/databases/postgresql94-server: PLIST
           pkgsrc/databases/postgresql95: Makefile.common distinfo
           pkgsrc/databases/postgresql95-client: PLIST
           pkgsrc/databases/postgresql95-docs: PLIST
           pkgsrc/databases/postgresql95-server: PLIST
           pkgsrc/databases/postgresql96: Makefile.common distinfo
           pkgsrc/databases/postgresql96-client: PLIST
           pkgsrc/databases/postgresql96-docs: PLIST
           pkgsrc/databases/postgresql96-server: PLIST

   Log Message:
   The PostgreSQL Global Development Group has released an update to all
   supported versions of our database system, including 9.6.3, 9.5.7,
   9.4.12, 9.3.17, and 9.2.21. This release fixes three security
   issues. It also patches a number of other bugs reported over the last
   three months. Users who use the PGREQUIRESSL environment variable to
   control connections, and users who rely on security
   isolation between database users when using foreign servers, should
   update as soon as possible. Other users should plan to update at the
   next convenient downtime.

Revision 1.4 / (download) - annotate - [select for diffs], Fri May 12 19:37:55 2017 UTC (2 years ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-
Changes since 1.3: +2 -1 lines
Diff to previous 1.3 (colored)

The PostgreSQL Global Development Group has released an update to all supported versions of our database system, including 9.6.3, 9.5.7, 9.4.12, 9.3.17, and 9.2.21. This release fixes three security issues. It also patches a number of other bugs reported over the last three months. Users who use the PGREQUIRESSL environment variable to control connections, and users who rely on security isolation between database users when using foreign servers, should update as soon as possible. Other users should plan to update at the next convenient downtime.

Revision 1.3 / (download) - annotate - [select for diffs], Mon May 23 14:27:35 2016 UTC (2 years, 11 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2
Branch point for: pkgsrc-2017Q1
Changes since 1.2: +2 -1 lines
Diff to previous 1.2 (colored)

This release fixes a number of issues reported by users over the last two months. Most database administrators should plan to upgrade at the next available downtime, unless they have been affected directly by the fixed issues.

Revision 1.1.2.1 / (download) - annotate - [select for diffs], Wed Apr 27 20:12:35 2016 UTC (3 years ago) by bsiegert
Branch: pkgsrc-2016Q1
Changes since 1.1: +1 -0 lines
Diff to previous 1.1 (colored) next main 1.2 (colored)

Pullup ticket #4964 - requested by sevan
databases/postgresql95: security fix

Revisions pulled up:
- databases/postgresql95-adminpack/Makefile                     1.3
- databases/postgresql95-client/Makefile                        1.3
- databases/postgresql95-client/PLIST                           1.2
- databases/postgresql95-datatypes/Makefile                     1.3
- databases/postgresql95-dblink/Makefile                        1.3
- databases/postgresql95-docs/PLIST                             1.2
- databases/postgresql95-fuzzystrmatch/Makefile                 1.3
- databases/postgresql95-monitoring/Makefile                    1.3
- databases/postgresql95-pgcrypto/Makefile                      1.3
- databases/postgresql95-plperl/Makefile                        1.3
- databases/postgresql95-plpython/Makefile                      1.3
- databases/postgresql95-pltcl/Makefile                         1.3
- databases/postgresql95-replicationtools/Makefile              1.3
- databases/postgresql95-server/Makefile                        1.4
- databases/postgresql95-server/PLIST                           1.2
- databases/postgresql95/Makefile                               1.3
- databases/postgresql95/Makefile.common                        1.2
- databases/postgresql95/distinfo                               1.2

---
   Module Name:    pkgsrc
   Committed By:   adam
   Date:           Sat Apr  9 12:51:50 UTC 2016

   Modified Files:
           pkgsrc/databases/postgresql91: Makefile Makefile.common distinfo
           pkgsrc/databases/postgresql91-adminpack: Makefile
           pkgsrc/databases/postgresql91-client: Makefile
           pkgsrc/databases/postgresql91-datatypes: Makefile
           pkgsrc/databases/postgresql91-dblink: Makefile
           pkgsrc/databases/postgresql91-docs: PLIST
           pkgsrc/databases/postgresql91-fuzzystrmatch: Makefile
           pkgsrc/databases/postgresql91-monitoring: Makefile
           pkgsrc/databases/postgresql91-pgcrypto: Makefile
           pkgsrc/databases/postgresql91-plperl: Makefile
           pkgsrc/databases/postgresql91-plpython: Makefile
           pkgsrc/databases/postgresql91-pltcl: Makefile
           pkgsrc/databases/postgresql91-replicationtools: Makefile
           pkgsrc/databases/postgresql91-server: Makefile PLIST
           pkgsrc/databases/postgresql91-upgrade: Makefile
           pkgsrc/databases/postgresql92: Makefile Makefile.common distinfo
           pkgsrc/databases/postgresql92-adminpack: Makefile
           pkgsrc/databases/postgresql92-client: Makefile
           pkgsrc/databases/postgresql92-datatypes: Makefile
           pkgsrc/databases/postgresql92-dblink: Makefile
           pkgsrc/databases/postgresql92-docs: PLIST
           pkgsrc/databases/postgresql92-fuzzystrmatch: Makefile
           pkgsrc/databases/postgresql92-monitoring: Makefile
           pkgsrc/databases/postgresql92-pgcrypto: Makefile
           pkgsrc/databases/postgresql92-plperl: Makefile
           pkgsrc/databases/postgresql92-plpython: Makefile
           pkgsrc/databases/postgresql92-pltcl: Makefile
           pkgsrc/databases/postgresql92-replicationtools: Makefile
           pkgsrc/databases/postgresql92-server: Makefile PLIST
           pkgsrc/databases/postgresql92-upgrade: Makefile
           pkgsrc/databases/postgresql93: Makefile Makefile.common distinfo
           pkgsrc/databases/postgresql93-adminpack: Makefile
           pkgsrc/databases/postgresql93-client: Makefile
           pkgsrc/databases/postgresql93-datatypes: Makefile
           pkgsrc/databases/postgresql93-dblink: Makefile
           pkgsrc/databases/postgresql93-docs: PLIST
           pkgsrc/databases/postgresql93-fuzzystrmatch: Makefile
           pkgsrc/databases/postgresql93-monitoring: Makefile
           pkgsrc/databases/postgresql93-pgcrypto: Makefile
           pkgsrc/databases/postgresql93-plperl: Makefile
           pkgsrc/databases/postgresql93-plpython: Makefile
           pkgsrc/databases/postgresql93-pltcl: Makefile
           pkgsrc/databases/postgresql93-replicationtools: Makefile
           pkgsrc/databases/postgresql93-server: Makefile PLIST
           pkgsrc/databases/postgresql93-upgrade: Makefile
           pkgsrc/databases/postgresql94: Makefile Makefile.common distinfo
           pkgsrc/databases/postgresql94-adminpack: Makefile
           pkgsrc/databases/postgresql94-client: Makefile
           pkgsrc/databases/postgresql94-datatypes: Makefile
           pkgsrc/databases/postgresql94-dblink: Makefile
           pkgsrc/databases/postgresql94-docs: PLIST
           pkgsrc/databases/postgresql94-fuzzystrmatch: Makefile
           pkgsrc/databases/postgresql94-monitoring: Makefile
           pkgsrc/databases/postgresql94-pgcrypto: Makefile
           pkgsrc/databases/postgresql94-plperl: Makefile
           pkgsrc/databases/postgresql94-plpython: Makefile
           pkgsrc/databases/postgresql94-pltcl: Makefile
           pkgsrc/databases/postgresql94-replicationtools: Makefile
           pkgsrc/databases/postgresql94-server: Makefile PLIST
           pkgsrc/databases/postgresql94-upgrade: Makefile
           pkgsrc/databases/postgresql95: Makefile Makefile.common distinfo
           pkgsrc/databases/postgresql95-adminpack: Makefile
           pkgsrc/databases/postgresql95-client: Makefile PLIST
           pkgsrc/databases/postgresql95-datatypes: Makefile
           pkgsrc/databases/postgresql95-dblink: Makefile
           pkgsrc/databases/postgresql95-docs: PLIST
           pkgsrc/databases/postgresql95-fuzzystrmatch: Makefile
           pkgsrc/databases/postgresql95-monitoring: Makefile
           pkgsrc/databases/postgresql95-pgcrypto: Makefile
           pkgsrc/databases/postgresql95-plperl: Makefile
           pkgsrc/databases/postgresql95-plpython: Makefile
           pkgsrc/databases/postgresql95-pltcl: Makefile
           pkgsrc/databases/postgresql95-replicationtools: Makefile
           pkgsrc/databases/postgresql95-server: Makefile PLIST

   Log Message:
   The PostgreSQL Global Development Group has released an update to all supported versions of our database system, including 9.5.2, 9.4.7, 9.3.12, 9.2.16, and 9.1.21. This release fixes two security
   issues and one index corruption issue in version 9.5. It also contains a variety of bug fixes for earlier versions. Users of PostgreSQL 9.5.0 or 9.5.1 should update as soon as possible.

   This release closes security hole CVE-2016-2193, where a query plan might get reused for more than one ROLE in the same session. This could cause the wrong set of Row Level Security (RLS) policies to
   be used for the query.

   The update also fixes CVE-2016-3065, a server crash bug triggered by using pageinspect with BRIN index pages. Since an attacker might be able to expose a few bytes of server memory, this crash is
   being treated as a security issue.

Revision 1.2 / (download) - annotate - [select for diffs], Sat Apr 9 12:51:49 2016 UTC (3 years, 1 month ago) by adam
Branch: MAIN
Changes since 1.1: +2 -1 lines
Diff to previous 1.1 (colored)

The PostgreSQL Global Development Group has released an update to all supported versions of our database system, including 9.5.2, 9.4.7, 9.3.12, 9.2.16, and 9.1.21. This release fixes two security issues and one index corruption issue in version 9.5. It also contains a variety of bug fixes for earlier versions. Users of PostgreSQL 9.5.0 or 9.5.1 should update as soon as possible.

This release closes security hole CVE-2016-2193, where a query plan might get reused for more than one ROLE in the same session. This could cause the wrong set of Row Level Security (RLS) policies to be used for the query.

The update also fixes CVE-2016-3065, a server crash bug triggered by using pageinspect with BRIN index pages. Since an attacker might be able to expose a few bytes of server memory, this crash is being treated as a security issue.

Revision 1.1 / (download) - annotate - [select for diffs], Thu Feb 25 21:37:36 2016 UTC (3 years, 2 months ago) by tnn
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base
Branch point for: pkgsrc-2016Q1

Add postgresql95 packages, converted from corresponding postgresql94
packages. postgresql95-upgrade is gone, the pg_upgrade tool is shipped
with postgresql95-client now.

Major enhancements in PostgreSQL 9.5 include:

  Allow INSERTs that would generate constraint conflicts to be turned into
    UPDATEs or ignored
  Add GROUP BY analysis features GROUPING SETS, CUBE and ROLLUP
  Add row-level security control
  Create mechanisms for tracking the progress of replication, including
    methods for identifying the origin of individual changes during logical
    replication
  Add Block Range Indexes (BRIN)
  Substantial performance improvements for sorting
  Substantial performance improvements for multi-CPU machines

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>